Subject: [bug#41389] [PATCH] gnu: guile-dsv: Wrap script.

From: Jack Hill <[email-masked]>
Date: Sat, 23 May 2020 18:48:05 -0400 (EDT)

Ludo’,

Thanks for the review!

On Sat, 23 May 2020, Ludovic Courtès wrote:

> Hi,
>
> Jack Hill <[email-masked]> skribis:
>
>> * gnu/packages/guile-xyz.scm (guile-dsv)[arguments]: Add "wrap program" phase.
>
> [...]
>
>> +                  (add-after 'install 'wrap-program
>> +                    (lambda* (#:key inputs outputs #:allow-other-keys)
>> +                      (let* ((out (assoc-ref outputs "out"))
>> +                             (bin (string-append out "/bin"))
>> +                             (site (string-append out "/share/guile/site"))
>> +                             (guile-lib (assoc-ref inputs "guile2.2-lib")))
>
> We should eventually rename it to “guile-lib” and switch to Guile 3.0,
> but that’s another story.

I had some time today, so I've done this in the second patch. This 
required substituting configure.ac as discussed at: 
https://github.com/artyom-poptsov/guile-dsv/pull/8

Could the regular expression I used be improved?

>> +                        (match (scandir site)
>> +                          (("." ".." version)
>
> I recommend ‘target-guile-effective-version’ from (guix build
> guile-build-system) instead of this trick.
>
> Could you send an updated patch?

Thanks for the tip. I did this, and cleaned up the up the let binding and 
wrap-program calls while I was at it. I hope it makes it clearer.

> Thanks in advance!

You're welcome!

Best,
Jack